## org.apache.html.dom
Class HTMLTableRowElementImpl

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.html.dom.HTMLElementImpl
                          org.apache.html.dom.HTMLTableRowElementImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.w3c.dom.Element, org.w3c.dom.events.EventTarget, org.w3c.dom.html.HTMLElement, org.w3c.dom.html.HTMLTableRowElement, org.w3c.dom.Node, org.w3c.dom.NodeList, org.w3c.dom.TypeInfo

    public class HTMLTableRowElementImpl

extends HTMLElementImpl
implements org.w3c.dom.html.HTMLTableRowElement

Version:
  $Revision: 449313 $ $Date: 2006-09-23 18:01:43 -0400 (Sat, 23 Sep 2006) $
Author:
  Assaf Arkin
See Also:
  `HTMLTableRowElement`, `ElementImpl`, Serialized Form

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Field Summary

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl

`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`HTMLTableRowElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`org.w3c.dom.Node` `cloneNode(boolean deep)` Explicit implementation of cloneNode() to ensure that cache used for getCells() gets cleared.
`void` `deleteCell(int index)` Delete a cell from the current row.
`java.lang.String` `getAlign()` Horizontal alignment of data within cells of this row.
`java.lang.String` `getBgColor()` Background color for rows.
`org.w3c.dom.html.HTMLCollection` `getCells()` The collection of cells in this row.
`java.lang.String` `getCh()` Alignment character for cells in a column.
`java.lang.String` `getChOff()` Offset of alignment character.
`int` `getRowIndex()` The index of this row, relative to the entire table.
`int` `getSectionRowIndex()` The index of this row, relative to the current section(`THEAD` , `TFOOT`, or `TBODY`).
`java.lang.String` `getVAlign()` Vertical alignment of data within cells of this row.
`org.w3c.dom.html.HTMLElement` `insertCell(int index)` Insert an empty `TD` cell into this row.
`void` `setAlign(java.lang.String align)`
`void` `setBgColor(java.lang.String bgColor)`
`void` `setCells(org.w3c.dom.html.HTMLCollection cells)`
`void` `setCh(java.lang.String ch)`
`void` `setChOff(java.lang.String chOff)`
`void` `setRowIndex(int rowIndex)`
`void` `setSectionRowIndex(int sectionRowIndex)`
`void` `setVAlign(java.lang.String vAlign)`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl

`getAttributes, getBaseURI, getDefaultAttributes, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getTypeName, getTypeNamespace, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isDerivedFrom, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl

`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getLocalName, getNamespaceURI, getNodeNumber, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node

`appendChild, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### HTMLTableRowElementImpl

    public HTMLTableRowElementImpl(HTMLDocumentImpl owner,
                                   java.lang.String name)

  Constructor requires owner document.

  Parameters:
    `owner` - The owner HTML document

Method Detail

### getRowIndex

    public int getRowIndex()

  Description copied from interface: `org.w3c.dom.html.HTMLTableRowElement`
  The index of this row, relative to the entire table.

  Specified by:
    `getRowIndex` in interface `org.w3c.dom.html.HTMLTableRowElement`

### setRowIndex

    public void setRowIndex(int rowIndex)

  Specified by:
    `setRowIndex` in interface `org.w3c.dom.html.HTMLTableRowElement`

### getSectionRowIndex

    public int getSectionRowIndex()

  Description copied from interface: `org.w3c.dom.html.HTMLTableRowElement`
  The index of this row, relative to the current section(`THEAD` , `TFOOT`, or `TBODY`).

  Specified by:
    `getSectionRowIndex` in interface `org.w3c.dom.html.HTMLTableRowElement`

### setSectionRowIndex

    public void setSectionRowIndex(int sectionRowIndex)

  Specified by:
    `setSectionRowIndex` in interface `org.w3c.dom.html.HTMLTableRowElement`

### getCells

    public org.w3c.dom.html.HTMLCollection getCells()

  Description copied from interface: `org.w3c.dom.html.HTMLTableRowElement`
  The collection of cells in this row.

  Specified by:
    `getCells` in interface `org.w3c.dom.html.HTMLTableRowElement`

### setCells

    public void setCells(org.w3c.dom.html.HTMLCollection cells)

  Specified by:
    `setCells` in interface `org.w3c.dom.html.HTMLTableRowElement`

### insertCell

    public org.w3c.dom.html.HTMLElement insertCell(int index)

  Description copied from interface: `org.w3c.dom.html.HTMLTableRowElement`
  Insert an empty `TD` cell into this row.

  Specified by:
    `insertCell` in interface `org.w3c.dom.html.HTMLTableRowElement`
  Parameters:
    `index` - The place to insert the cell.
  Returns:
    The newly created cell.

### deleteCell

    public void deleteCell(int index)

  Description copied from interface: `org.w3c.dom.html.HTMLTableRowElement`
  Delete a cell from the current row.

  Specified by:
    `deleteCell` in interface `org.w3c.dom.html.HTMLTableRowElement`
  Parameters:
    `index` - The index of the cell to delete.

### getAlign

    public java.lang.String getAlign()

  Description copied from interface: `org.w3c.dom.html.HTMLTableRowElement`
  Horizontal alignment of data within cells of this row. See the align attribute definition in HTML 4.0.

  Specified by:
    `getAlign` in interface `org.w3c.dom.html.HTMLTableRowElement`

### setAlign

    public void setAlign(java.lang.String align)

  Specified by:
    `setAlign` in interface `org.w3c.dom.html.HTMLTableRowElement`

### getBgColor

    public java.lang.String getBgColor()

  Description copied from interface: `org.w3c.dom.html.HTMLTableRowElement`
  Background color for rows. See the bgcolor attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

  Specified by:
    `getBgColor` in interface `org.w3c.dom.html.HTMLTableRowElement`

### setBgColor

    public void setBgColor(java.lang.String bgColor)

  Specified by:
    `setBgColor` in interface `org.w3c.dom.html.HTMLTableRowElement`

### getCh

    public java.lang.String getCh()

  Description copied from interface: `org.w3c.dom.html.HTMLTableRowElement`
  Alignment character for cells in a column. See the char attribute definition in HTML 4.0.

  Specified by:
    `getCh` in interface `org.w3c.dom.html.HTMLTableRowElement`

### setCh

    public void setCh(java.lang.String ch)

  Specified by:
    `setCh` in interface `org.w3c.dom.html.HTMLTableRowElement`

### getChOff

    public java.lang.String getChOff()

  Description copied from interface: `org.w3c.dom.html.HTMLTableRowElement`
  Offset of alignment character. See the charoff attribute definition in HTML 4.0.

  Specified by:
    `getChOff` in interface `org.w3c.dom.html.HTMLTableRowElement`

### setChOff

    public void setChOff(java.lang.String chOff)

  Specified by:
    `setChOff` in interface `org.w3c.dom.html.HTMLTableRowElement`

### getVAlign

    public java.lang.String getVAlign()

  Description copied from interface: `org.w3c.dom.html.HTMLTableRowElement`
  Vertical alignment of data within cells of this row. See the valign attribute definition in HTML 4.0.

  Specified by:
    `getVAlign` in interface `org.w3c.dom.html.HTMLTableRowElement`

### setVAlign

    public void setVAlign(java.lang.String vAlign)

  Specified by:
    `setVAlign` in interface `org.w3c.dom.html.HTMLTableRowElement`

### cloneNode

    public org.w3c.dom.Node cloneNode(boolean deep)

  Explicit implementation of cloneNode() to ensure that cache used for getCells() gets cleared.

  Specified by:
    `cloneNode` in interface `org.w3c.dom.Node`
  Overrides:
    `cloneNode` in class `org.apache.xerces.dom.ElementImpl`
  Parameters:
    `deep` - If `true`, recursively clone the subtree under the specified node; if `false`, clone only the node itself (and its attributes, if it is an `Element`).
  Returns:
    The duplicate node.
  See Also:
    `Node.cloneNode(boolean)`

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.